/*Задача ""
 * олимпиада школьников,  2009-2010
 * Автор условия - 
 * Автор решений - Ганеев Рустам , ganeev@rain.ifmo.ru
 * Верное решение
 */
import java.io.*;
import java.util.*;

public class robots_rg implements Runnable {

	public static void main(String[] args) {
		new Thread(new robots_rg()).start();
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;
	boolean eof = false;
	Random rand = new Random(this.hashCode());

	public void run() {
		Locale.setDefault(Locale.US);
		try {
			br = new BufferedReader(new FileReader(FNAME + ".in"));
			out = new PrintWriter(FNAME + ".out");
			solve();
			out.close();
		} catch (Throwable e) {
			e.printStackTrace();
			System.exit(566);
		}
	}

	String nextToken() {
		while (st == null || !st.hasMoreTokens()) {
			try {
				st = new StringTokenizer(br.readLine());
			} catch (Exception e) {
				eof = true;
				return "0";
			}
		}
		return st.nextToken();
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	void myAssert(boolean u, String message) {
		if (!u)
			throw new Error(message);
	}

	String FNAME = "robots";

	class Point {
		public Point(double x, double y) {
			super();
			this.x = x;
			this.y = y;
		}

		double x, y;
	}

	private void solve() throws IOException {
		int n = nextInt(), k = nextInt();
		myAssert(n >= 1 && n <= 100000, "N  out of bounds");
		myAssert(k >= 0 && k <= n, "K out of bounds");
		Point a[] = new Point[n];
		double cX = 0, cY = 0;
		for (int i = 0; i < n; i++) {
			a[i] = new Point(nextInt(), nextInt());
			cX += a[i].x;
			cY += a[i].y;
		}
		for (int it = 0; it < k; it++) {
			double tX = a[it].x;
			double tY = a[it].y;
			a[it].x = cX / n;
			a[it].y = cY / n;
			cX += a[it].x - tX;
			cY += a[it].y - tY;
		}
		out.printf("%.3f %.3f\n", a[k - 1].x, a[k - 1].y);
		/*
		for (int i = 0; i < n; i++) {
			out.printf("%.3f %.3f\n", a[i].x, a[i].y);
		}
		*/
	}
}